Locator bar does not update the filter of algorithms according to active layer when using "ef"

2018-10-13 05:29 AM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Alessandro Pasotti

Category: Processing/Core

Affected QGIS version:3.3(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27921

Description

Add a point and line layers

Select the line layer

In the locator bar, type "ef ". You get the list of edit-in-place algorithms.

Switch to the other layer

and move back to the locator bar where the "ef " should still be visible

The list of algs is again shown. Among them, you'll see the "Array of offset (parallel) lines" algorithm that you can open (and run? I did not

go that further) despite it's incompatible with the point geometry type.

Given that the algs are tied to the active layer, I think the list should be updated when clicking back to the widget.

note that you get an updated list if you remove the space at the end.

Associated revisions

Revision 7ecd303a - 2018-10-23 04:12 PM - Alessandro Pasotti 

[in-place] Fix locator filter for in-place when active layer changes

Invalidate the locator results when active layer changes

Fix #20099 - Locator bar does not update the filter of algorithms according to active layer when using "ef"

History

#1 - 2018-10-23 04:11 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

#2 - 2018-10-23 04:14 PM - Alessandro Pasotti

- Pull Request or Patch supplied changed from No to Yes

- Status changed from Open to In Progress

PR https://github.com/qgis/QGIS/pull/8284

#3 - 2018-10-24 08:16 AM - Anonymous

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

2024-04-25 1/2

https://github.com/qgis/QGIS/pull/8284


Applied in changeset commit:qgis|7ecd303acca1b6ef14b4e8ee891f87c7ce99017e.

2024-04-25 2/2


